
#include <stdio.h>
#include <stdlib.h>
#include "exo_ahw_al_spi_to_uart_common.h"

#ifndef __weak
   #define __weak   __attribute__((weak))
#endif /* __weak */

__weak hal_ret_sts ahw_al_uart_conv_init(s_ahw_max14830_hdle *hdle,ahw_inst_id_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_uart_conv_port_init(uint32_t ahw_id,s_ahw_max14830_init_cfg *init_cfg)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_uart_conv_transmit(uint32_t ahw_id,uint8_t port,uint8_t* tx_buff,uint16_t tx_len )
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_uart_conv_receive(uint32_t ahw_id,uint8_t port,uint16_t rx_len,max14830_callback_fptr_t callback_func,uint8_t* recieve_ptr)
{
	return HAL_DRIVER_DISABLED;
}
